Bug 228168 - multi-lib conflicts
Summary: multi-lib conflicts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 242945 (view as bug list)
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-10 23:17 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.5.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 22:29:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfce4-panel file conflicts in yum (15.97 KB, text/plain)
2007-06-06 22:42 UTC, Christoph Wickert
no flags Details

Description Michael Schwendt 2007-02-10 23:17:58 UTC
xfce4-panel - 4.4.0-1.fc7.x86_64
  Conflicts: 18
  File conflict in:
     /usr/bin/xfce4-panel
     /usr/bin/xfce4-popup-windowlist
     /usr/share/xfce4/panel-plugins/pager.desktop
     /usr/share/xfce4/panel-plugins/actions.desktop
     /usr/share/xfce4/panel-plugins/tasklist.desktop
     /usr/share/xfce4/panel-plugins/windowlist.desktop
     /usr/share/xfce4/panel-plugins/showdesktop.desktop
     /usr/share/xfce4/panel-plugins/launcher.desktop
     /usr/share/xfce4/panel-plugins/iconbox.desktop
     /usr/share/xfce4/panel-plugins/systray.desktop
     /usr/share/xfce4/panel-plugins/clock.desktop
     /usr/share/xfce4/panel-plugins/separator.desktop
  Packages with the same files:
     xfce4-panel - 4.4.0-1.fc7.i386

Comment 1 Kevin Fenzi 2007-02-11 16:53:25 UTC
Humm... how do you suggest I fix this?

Surely the /usr/bin/ binaries are going to be diffrent on i386 and x86_64... 
we don't have a /usr/bin64/ do we?

Not sure what diffrences there would be on the desktop files. 
I can examine that... 

Comment 2 Michael Schwendt 2007-02-11 17:40:31 UTC
You can ignore the executables. But the files in /usr/share ought
to be arch-independent.


Comment 3 Kevin Fenzi 2007-02-14 04:58:15 UTC
ok, the reason they are not is this: 

< X-XFCE-Module-Path=/usr/lib/xfce4/panel-plugins
---
> X-XFCE-Module-Path=/usr/lib64/xfce4/panel-plugins

Not sure how to work around that... :( 

Comment 4 Christoph Wickert 2007-06-06 19:03:56 UTC
*** Bug 242945 has been marked as a duplicate of this bug. ***

Comment 5 Kevin Fenzi 2007-06-06 19:52:00 UTC
ok. A ugly, but I think working hack patch to fix this: 

http://www.scrye.com/~kevin/fedora/xfce4-panel-4.4.1-multilib.patch

This moves the .desktop files under %{_libdir} where they can be arch specific. 
I think some of the plugins also need this same change. 



Comment 6 Kevin Fenzi 2007-06-06 22:09:50 UTC
FYI, the list of plugins I think that are affected by this same issue is: 

xfce4-datetime-plugin-0.5.0-1.fc7.x86_64
xfce4-minicmd-plugin-0.4-5.fc7.x86_64
xfce4-quicklauncher-plugin-1.9.2-3.fc7.x86_64
xfce4-smartbookmark-plugin-0.4.2-3.fc7.x86_64
xfce4-websearch-plugin-0.1.1-0.5.20070428svn2704.fc7.x86_64


Comment 7 Christoph Wickert 2007-06-06 22:41:04 UTC
There are _lots_ of other examples like this one, including famous packages like
firefox:
rpm -qf --qf %{NAME}-%{VERSION}-%{RELEASE}-%{ARCH}\\n
/usr/share/pixmaps/firefox.png 
firefox-2.0.0.4-2.fc7-x86_64
firefox-2.0.0.4-2.fc7-i386

Attaching output of 
  yum groupinstall xfce4; yum remove xfce4-panel.i386; yum install xfce4-panel.i386
on a freshly installed x86_64 machine.

Comment 8 Christoph Wickert 2007-06-06 22:42:03 UTC
Created attachment 156403 [details]
xfce4-panel file conflicts in yum

Comment 9 Christoph Wickert 2007-06-09 12:40:44 UTC
(In reply to comment #6)
> FYI, the list of plugins I think that are affected by this same issue is: 
> 
> xfce4-datetime-plugin-0.5.0-1.fc7.x86_64
> xfce4-minicmd-plugin-0.4-5.fc7.x86_64
> xfce4-quicklauncher-plugin-1.9.2-3.fc7.x86_64
> xfce4-smartbookmark-plugin-0.4.2-3.fc7.x86_64
> xfce4-websearch-plugin-0.1.1-0.5.20070428svn2704.fc7.x86_64

Applied the same workaround on all of these in the devel branch. Please test.

Comment 10 Fedora Update System 2007-06-09 16:37:41 UTC
xfce4-datetime-plugin-0.5.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2007-06-09 16:37:46 UTC
xfce4-minicmd-plugin-0.4-6.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2007-06-09 16:37:50 UTC
xfce4-smartbookmark-plugin-0.4.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2007-06-09 16:38:00 UTC
xfce4-quicklauncher-plugin-1.9.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2007-06-09 16:38:04 UTC
xfce4-websearch-plugin-0.1.1-0.6.20070428svn2704.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2007-06-11 22:04:21 UTC
xfce4-websearch-plugin-0.1.1-0.6.20070428svn2704.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2007-06-11 22:04:42 UTC
xfce4-minicmd-plugin-0.4-6.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2007-06-11 22:04:48 UTC
xfce4-smartbookmark-plugin-0.4.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2007-06-11 22:04:51 UTC
xfce4-datetime-plugin-0.5.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2007-06-11 22:05:35 UTC
xfce4-panel-4.4.1-2.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2007-06-11 22:05:40 UTC
xfce4-quicklauncher-plugin-1.9.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2007-06-18 22:29:07 UTC
xfce4-datetime-plugin-0.5.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2007-06-18 22:29:14 UTC
xfce4-smartbookmark-plugin-0.4.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2007-06-18 22:29:20 UTC
xfce4-minicmd-plugin-0.4-6.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2007-06-18 22:29:33 UTC
xfce4-websearch-plugin-0.1.1-0.6.20070428svn2704.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2007-06-18 22:29:50 UTC
xfce4-panel-4.4.1-2.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2007-06-18 22:30:00 UTC
xfce4-quicklauncher-plugin-1.9.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.